commit c1c164161063fdc9a5b3b298d62767b78cc18155
Author: freddy77 <freddy77>
Date:   Tue Jul 20 07:56:51 2010 +0000

    fix compile using no-gnu compiler

diff --git a/ChangeLog b/ChangeLog
index e4616d3..7609a57 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Jul 20 09:56:36 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/error.c: fix compile using no-gnu compiler
+
 Mon Jul 19 13:51:50 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/Makefile.am src/odbc/unittests/connect.c:
 	- fix connect test for windows
@@ -2709,4 +2712,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3081 2010/07/19 11:52:15 freddy77 Exp $
+$Id: ChangeLog,v 1.3082 2010/07/20 07:56:51 freddy77 Exp $
diff --git a/src/odbc/error.c b/src/odbc/error.c
index 430cfba..4a2532d 100644
--- a/src/odbc/error.c
+++ b/src/odbc/error.c
@@ -1,6 +1,6 @@
 /* FreeTDS - Library of routines accessing Sybase and Microsoft databases
  * Copyright (C) 1998-1999  Brian Bruns
- * Copyright (C) 2003-2008  Frediano Ziglio
+ * Copyright (C) 2003-2010  Frediano Ziglio
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Library General Public
@@ -44,7 +44,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: error.c,v 1.64 2010/07/17 19:58:24 freddy77 Exp $");
+TDS_RCSID(var, "$Id: error.c,v 1.65 2010/07/20 07:56:51 freddy77 Exp $");
 
 static void odbc_errs_pop(struct _sql_errors *errs);
 static const char *odbc_get_msg(const char *sqlstate);
@@ -555,7 +555,7 @@ sqlstate2to3(char *state)
 	if (szSqlState) {
 		const char *state =
 			(odbc_ver == SQL_OV_ODBC3) ? errs->errs[numRecord].state3 : errs->errs[numRecord].state2;
-		odbc_set_string(dbc, szSqlState, 24, NULL, state, -1);
+		odbc_set_string(dbc, szSqlState, 24, (SQLSMALLINT *) NULL, state, -1);
 	}
 
 	msg = errs->errs[numRecord].msg;

